package com.hfkj.entity;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class BsMerPlatformNoExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    private Integer limit;

    private Long offset;

    public BsMerPlatformNoExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    public void setLimit(Integer limit) {
        this.limit = limit;
    }

    public Integer getLimit() {
        return limit;
    }

    public void setOffset(Long offset) {
        this.offset = offset;
    }

    public Long getOffset() {
        return offset;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(Long value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(Long value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(Long value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(Long value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(Long value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(Long value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<Long> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<Long> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(Long value1, Long value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(Long value1, Long value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andCompanyIdIsNull() {
            addCriterion("company_id is null");
            return (Criteria) this;
        }

        public Criteria andCompanyIdIsNotNull() {
            addCriterion("company_id is not null");
            return (Criteria) this;
        }

        public Criteria andCompanyIdEqualTo(Long value) {
            addCriterion("company_id =", value, "companyId");
            return (Criteria) this;
        }

        public Criteria andCompanyIdNotEqualTo(Long value) {
            addCriterion("company_id <>", value, "companyId");
            return (Criteria) this;
        }

        public Criteria andCompanyIdGreaterThan(Long value) {
            addCriterion("company_id >", value, "companyId");
            return (Criteria) this;
        }

        public Criteria andCompanyIdGreaterThanOrEqualTo(Long value) {
            addCriterion("company_id >=", value, "companyId");
            return (Criteria) this;
        }

        public Criteria andCompanyIdLessThan(Long value) {
            addCriterion("company_id <", value, "companyId");
            return (Criteria) this;
        }

        public Criteria andCompanyIdLessThanOrEqualTo(Long value) {
            addCriterion("company_id <=", value, "companyId");
            return (Criteria) this;
        }

        public Criteria andCompanyIdIn(List<Long> values) {
            addCriterion("company_id in", values, "companyId");
            return (Criteria) this;
        }

        public Criteria andCompanyIdNotIn(List<Long> values) {
            addCriterion("company_id not in", values, "companyId");
            return (Criteria) this;
        }

        public Criteria andCompanyIdBetween(Long value1, Long value2) {
            addCriterion("company_id between", value1, value2, "companyId");
            return (Criteria) this;
        }

        public Criteria andCompanyIdNotBetween(Long value1, Long value2) {
            addCriterion("company_id not between", value1, value2, "companyId");
            return (Criteria) this;
        }

        public Criteria andAgentIdIsNull() {
            addCriterion("agent_id is null");
            return (Criteria) this;
        }

        public Criteria andAgentIdIsNotNull() {
            addCriterion("agent_id is not null");
            return (Criteria) this;
        }

        public Criteria andAgentIdEqualTo(Long value) {
            addCriterion("agent_id =", value, "agentId");
            return (Criteria) this;
        }

        public Criteria andAgentIdNotEqualTo(Long value) {
            addCriterion("agent_id <>", value, "agentId");
            return (Criteria) this;
        }

        public Criteria andAgentIdGreaterThan(Long value) {
            addCriterion("agent_id >", value, "agentId");
            return (Criteria) this;
        }

        public Criteria andAgentIdGreaterThanOrEqualTo(Long value) {
            addCriterion("agent_id >=", value, "agentId");
            return (Criteria) this;
        }

        public Criteria andAgentIdLessThan(Long value) {
            addCriterion("agent_id <", value, "agentId");
            return (Criteria) this;
        }

        public Criteria andAgentIdLessThanOrEqualTo(Long value) {
            addCriterion("agent_id <=", value, "agentId");
            return (Criteria) this;
        }

        public Criteria andAgentIdIn(List<Long> values) {
            addCriterion("agent_id in", values, "agentId");
            return (Criteria) this;
        }

        public Criteria andAgentIdNotIn(List<Long> values) {
            addCriterion("agent_id not in", values, "agentId");
            return (Criteria) this;
        }

        public Criteria andAgentIdBetween(Long value1, Long value2) {
            addCriterion("agent_id between", value1, value2, "agentId");
            return (Criteria) this;
        }

        public Criteria andAgentIdNotBetween(Long value1, Long value2) {
            addCriterion("agent_id not between", value1, value2, "agentId");
            return (Criteria) this;
        }

        public Criteria andMerIdIsNull() {
            addCriterion("mer_id is null");
            return (Criteria) this;
        }

        public Criteria andMerIdIsNotNull() {
            addCriterion("mer_id is not null");
            return (Criteria) this;
        }

        public Criteria andMerIdEqualTo(Long value) {
            addCriterion("mer_id =", value, "merId");
            return (Criteria) this;
        }

        public Criteria andMerIdNotEqualTo(Long value) {
            addCriterion("mer_id <>", value, "merId");
            return (Criteria) this;
        }

        public Criteria andMerIdGreaterThan(Long value) {
            addCriterion("mer_id >", value, "merId");
            return (Criteria) this;
        }

        public Criteria andMerIdGreaterThanOrEqualTo(Long value) {
            addCriterion("mer_id >=", value, "merId");
            return (Criteria) this;
        }

        public Criteria andMerIdLessThan(Long value) {
            addCriterion("mer_id <", value, "merId");
            return (Criteria) this;
        }

        public Criteria andMerIdLessThanOrEqualTo(Long value) {
            addCriterion("mer_id <=", value, "merId");
            return (Criteria) this;
        }

        public Criteria andMerIdIn(List<Long> values) {
            addCriterion("mer_id in", values, "merId");
            return (Criteria) this;
        }

        public Criteria andMerIdNotIn(List<Long> values) {
            addCriterion("mer_id not in", values, "merId");
            return (Criteria) this;
        }

        public Criteria andMerIdBetween(Long value1, Long value2) {
            addCriterion("mer_id between", value1, value2, "merId");
            return (Criteria) this;
        }

        public Criteria andMerIdNotBetween(Long value1, Long value2) {
            addCriterion("mer_id not between", value1, value2, "merId");
            return (Criteria) this;
        }

        public Criteria andMerNoIsNull() {
            addCriterion("mer_no is null");
            return (Criteria) this;
        }

        public Criteria andMerNoIsNotNull() {
            addCriterion("mer_no is not null");
            return (Criteria) this;
        }

        public Criteria andMerNoEqualTo(String value) {
            addCriterion("mer_no =", value, "merNo");
            return (Criteria) this;
        }

        public Criteria andMerNoNotEqualTo(String value) {
            addCriterion("mer_no <>", value, "merNo");
            return (Criteria) this;
        }

        public Criteria andMerNoGreaterThan(String value) {
            addCriterion("mer_no >", value, "merNo");
            return (Criteria) this;
        }

        public Criteria andMerNoGreaterThanOrEqualTo(String value) {
            addCriterion("mer_no >=", value, "merNo");
            return (Criteria) this;
        }

        public Criteria andMerNoLessThan(String value) {
            addCriterion("mer_no <", value, "merNo");
            return (Criteria) this;
        }

        public Criteria andMerNoLessThanOrEqualTo(String value) {
            addCriterion("mer_no <=", value, "merNo");
            return (Criteria) this;
        }

        public Criteria andMerNoLike(String value) {
            addCriterion("mer_no like", value, "merNo");
            return (Criteria) this;
        }

        public Criteria andMerNoNotLike(String value) {
            addCriterion("mer_no not like", value, "merNo");
            return (Criteria) this;
        }

        public Criteria andMerNoIn(List<String> values) {
            addCriterion("mer_no in", values, "merNo");
            return (Criteria) this;
        }

        public Criteria andMerNoNotIn(List<String> values) {
            addCriterion("mer_no not in", values, "merNo");
            return (Criteria) this;
        }

        public Criteria andMerNoBetween(String value1, String value2) {
            addCriterion("mer_no between", value1, value2, "merNo");
            return (Criteria) this;
        }

        public Criteria andMerNoNotBetween(String value1, String value2) {
            addCriterion("mer_no not between", value1, value2, "merNo");
            return (Criteria) this;
        }

        public Criteria andPlatformTypeIsNull() {
            addCriterion("platform_type is null");
            return (Criteria) this;
        }

        public Criteria andPlatformTypeIsNotNull() {
            addCriterion("platform_type is not null");
            return (Criteria) this;
        }

        public Criteria andPlatformTypeEqualTo(Integer value) {
            addCriterion("platform_type =", value, "platformType");
            return (Criteria) this;
        }

        public Criteria andPlatformTypeNotEqualTo(Integer value) {
            addCriterion("platform_type <>", value, "platformType");
            return (Criteria) this;
        }

        public Criteria andPlatformTypeGreaterThan(Integer value) {
            addCriterion("platform_type >", value, "platformType");
            return (Criteria) this;
        }

        public Criteria andPlatformTypeGreaterThanOrEqualTo(Integer value) {
            addCriterion("platform_type >=", value, "platformType");
            return (Criteria) this;
        }

        public Criteria andPlatformTypeLessThan(Integer value) {
            addCriterion("platform_type <", value, "platformType");
            return (Criteria) this;
        }

        public Criteria andPlatformTypeLessThanOrEqualTo(Integer value) {
            addCriterion("platform_type <=", value, "platformType");
            return (Criteria) this;
        }

        public Criteria andPlatformTypeIn(List<Integer> values) {
            addCriterion("platform_type in", values, "platformType");
            return (Criteria) this;
        }

        public Criteria andPlatformTypeNotIn(List<Integer> values) {
            addCriterion("platform_type not in", values, "platformType");
            return (Criteria) this;
        }

        public Criteria andPlatformTypeBetween(Integer value1, Integer value2) {
            addCriterion("platform_type between", value1, value2, "platformType");
            return (Criteria) this;
        }

        public Criteria andPlatformTypeNotBetween(Integer value1, Integer value2) {
            addCriterion("platform_type not between", value1, value2, "platformType");
            return (Criteria) this;
        }

        public Criteria andPlatformNoIsNull() {
            addCriterion("platform_no is null");
            return (Criteria) this;
        }

        public Criteria andPlatformNoIsNotNull() {
            addCriterion("platform_no is not null");
            return (Criteria) this;
        }

        public Criteria andPlatformNoEqualTo(String value) {
            addCriterion("platform_no =", value, "platformNo");
            return (Criteria) this;
        }

        public Criteria andPlatformNoNotEqualTo(String value) {
            addCriterion("platform_no <>", value, "platformNo");
            return (Criteria) this;
        }

        public Criteria andPlatformNoGreaterThan(String value) {
            addCriterion("platform_no >", value, "platformNo");
            return (Criteria) this;
        }

        public Criteria andPlatformNoGreaterThanOrEqualTo(String value) {
            addCriterion("platform_no >=", value, "platformNo");
            return (Criteria) this;
        }

        public Criteria andPlatformNoLessThan(String value) {
            addCriterion("platform_no <", value, "platformNo");
            return (Criteria) this;
        }

        public Criteria andPlatformNoLessThanOrEqualTo(String value) {
            addCriterion("platform_no <=", value, "platformNo");
            return (Criteria) this;
        }

        public Criteria andPlatformNoLike(String value) {
            addCriterion("platform_no like", value, "platformNo");
            return (Criteria) this;
        }

        public Criteria andPlatformNoNotLike(String value) {
            addCriterion("platform_no not like", value, "platformNo");
            return (Criteria) this;
        }

        public Criteria andPlatformNoIn(List<String> values) {
            addCriterion("platform_no in", values, "platformNo");
            return (Criteria) this;
        }

        public Criteria andPlatformNoNotIn(List<String> values) {
            addCriterion("platform_no not in", values, "platformNo");
            return (Criteria) this;
        }

        public Criteria andPlatformNoBetween(String value1, String value2) {
            addCriterion("platform_no between", value1, value2, "platformNo");
            return (Criteria) this;
        }

        public Criteria andPlatformNoNotBetween(String value1, String value2) {
            addCriterion("platform_no not between", value1, value2, "platformNo");
            return (Criteria) this;
        }

        public Criteria andCupNoIsNull() {
            addCriterion("cup_no is null");
            return (Criteria) this;
        }

        public Criteria andCupNoIsNotNull() {
            addCriterion("cup_no is not null");
            return (Criteria) this;
        }

        public Criteria andCupNoEqualTo(String value) {
            addCriterion("cup_no =", value, "cupNo");
            return (Criteria) this;
        }

        public Criteria andCupNoNotEqualTo(String value) {
            addCriterion("cup_no <>", value, "cupNo");
            return (Criteria) this;
        }

        public Criteria andCupNoGreaterThan(String value) {
            addCriterion("cup_no >", value, "cupNo");
            return (Criteria) this;
        }

        public Criteria andCupNoGreaterThanOrEqualTo(String value) {
            addCriterion("cup_no >=", value, "cupNo");
            return (Criteria) this;
        }

        public Criteria andCupNoLessThan(String value) {
            addCriterion("cup_no <", value, "cupNo");
            return (Criteria) this;
        }

        public Criteria andCupNoLessThanOrEqualTo(String value) {
            addCriterion("cup_no <=", value, "cupNo");
            return (Criteria) this;
        }

        public Criteria andCupNoLike(String value) {
            addCriterion("cup_no like", value, "cupNo");
            return (Criteria) this;
        }

        public Criteria andCupNoNotLike(String value) {
            addCriterion("cup_no not like", value, "cupNo");
            return (Criteria) this;
        }

        public Criteria andCupNoIn(List<String> values) {
            addCriterion("cup_no in", values, "cupNo");
            return (Criteria) this;
        }

        public Criteria andCupNoNotIn(List<String> values) {
            addCriterion("cup_no not in", values, "cupNo");
            return (Criteria) this;
        }

        public Criteria andCupNoBetween(String value1, String value2) {
            addCriterion("cup_no between", value1, value2, "cupNo");
            return (Criteria) this;
        }

        public Criteria andCupNoNotBetween(String value1, String value2) {
            addCriterion("cup_no not between", value1, value2, "cupNo");
            return (Criteria) this;
        }

        public Criteria andPosIdIsNull() {
            addCriterion("pos_id is null");
            return (Criteria) this;
        }

        public Criteria andPosIdIsNotNull() {
            addCriterion("pos_id is not null");
            return (Criteria) this;
        }

        public Criteria andPosIdEqualTo(String value) {
            addCriterion("pos_id =", value, "posId");
            return (Criteria) this;
        }

        public Criteria andPosIdNotEqualTo(String value) {
            addCriterion("pos_id <>", value, "posId");
            return (Criteria) this;
        }

        public Criteria andPosIdGreaterThan(String value) {
            addCriterion("pos_id >", value, "posId");
            return (Criteria) this;
        }

        public Criteria andPosIdGreaterThanOrEqualTo(String value) {
            addCriterion("pos_id >=", value, "posId");
            return (Criteria) this;
        }

        public Criteria andPosIdLessThan(String value) {
            addCriterion("pos_id <", value, "posId");
            return (Criteria) this;
        }

        public Criteria andPosIdLessThanOrEqualTo(String value) {
            addCriterion("pos_id <=", value, "posId");
            return (Criteria) this;
        }

        public Criteria andPosIdLike(String value) {
            addCriterion("pos_id like", value, "posId");
            return (Criteria) this;
        }

        public Criteria andPosIdNotLike(String value) {
            addCriterion("pos_id not like", value, "posId");
            return (Criteria) this;
        }

        public Criteria andPosIdIn(List<String> values) {
            addCriterion("pos_id in", values, "posId");
            return (Criteria) this;
        }

        public Criteria andPosIdNotIn(List<String> values) {
            addCriterion("pos_id not in", values, "posId");
            return (Criteria) this;
        }

        public Criteria andPosIdBetween(String value1, String value2) {
            addCriterion("pos_id between", value1, value2, "posId");
            return (Criteria) this;
        }

        public Criteria andPosIdNotBetween(String value1, String value2) {
            addCriterion("pos_id not between", value1, value2, "posId");
            return (Criteria) this;
        }

        public Criteria andBranchIdIsNull() {
            addCriterion("branch_id is null");
            return (Criteria) this;
        }

        public Criteria andBranchIdIsNotNull() {
            addCriterion("branch_id is not null");
            return (Criteria) this;
        }

        public Criteria andBranchIdEqualTo(String value) {
            addCriterion("branch_id =", value, "branchId");
            return (Criteria) this;
        }

        public Criteria andBranchIdNotEqualTo(String value) {
            addCriterion("branch_id <>", value, "branchId");
            return (Criteria) this;
        }

        public Criteria andBranchIdGreaterThan(String value) {
            addCriterion("branch_id >", value, "branchId");
            return (Criteria) this;
        }

        public Criteria andBranchIdGreaterThanOrEqualTo(String value) {
            addCriterion("branch_id >=", value, "branchId");
            return (Criteria) this;
        }

        public Criteria andBranchIdLessThan(String value) {
            addCriterion("branch_id <", value, "branchId");
            return (Criteria) this;
        }

        public Criteria andBranchIdLessThanOrEqualTo(String value) {
            addCriterion("branch_id <=", value, "branchId");
            return (Criteria) this;
        }

        public Criteria andBranchIdLike(String value) {
            addCriterion("branch_id like", value, "branchId");
            return (Criteria) this;
        }

        public Criteria andBranchIdNotLike(String value) {
            addCriterion("branch_id not like", value, "branchId");
            return (Criteria) this;
        }

        public Criteria andBranchIdIn(List<String> values) {
            addCriterion("branch_id in", values, "branchId");
            return (Criteria) this;
        }

        public Criteria andBranchIdNotIn(List<String> values) {
            addCriterion("branch_id not in", values, "branchId");
            return (Criteria) this;
        }

        public Criteria andBranchIdBetween(String value1, String value2) {
            addCriterion("branch_id between", value1, value2, "branchId");
            return (Criteria) this;
        }

        public Criteria andBranchIdNotBetween(String value1, String value2) {
            addCriterion("branch_id not between", value1, value2, "branchId");
            return (Criteria) this;
        }

        public Criteria andMerPublicKeyIsNull() {
            addCriterion("mer_public_key is null");
            return (Criteria) this;
        }

        public Criteria andMerPublicKeyIsNotNull() {
            addCriterion("mer_public_key is not null");
            return (Criteria) this;
        }

        public Criteria andMerPublicKeyEqualTo(String value) {
            addCriterion("mer_public_key =", value, "merPublicKey");
            return (Criteria) this;
        }

        public Criteria andMerPublicKeyNotEqualTo(String value) {
            addCriterion("mer_public_key <>", value, "merPublicKey");
            return (Criteria) this;
        }

        public Criteria andMerPublicKeyGreaterThan(String value) {
            addCriterion("mer_public_key >", value, "merPublicKey");
            return (Criteria) this;
        }

        public Criteria andMerPublicKeyGreaterThanOrEqualTo(String value) {
            addCriterion("mer_public_key >=", value, "merPublicKey");
            return (Criteria) this;
        }

        public Criteria andMerPublicKeyLessThan(String value) {
            addCriterion("mer_public_key <", value, "merPublicKey");
            return (Criteria) this;
        }

        public Criteria andMerPublicKeyLessThanOrEqualTo(String value) {
            addCriterion("mer_public_key <=", value, "merPublicKey");
            return (Criteria) this;
        }

        public Criteria andMerPublicKeyLike(String value) {
            addCriterion("mer_public_key like", value, "merPublicKey");
            return (Criteria) this;
        }

        public Criteria andMerPublicKeyNotLike(String value) {
            addCriterion("mer_public_key not like", value, "merPublicKey");
            return (Criteria) this;
        }

        public Criteria andMerPublicKeyIn(List<String> values) {
            addCriterion("mer_public_key in", values, "merPublicKey");
            return (Criteria) this;
        }

        public Criteria andMerPublicKeyNotIn(List<String> values) {
            addCriterion("mer_public_key not in", values, "merPublicKey");
            return (Criteria) this;
        }

        public Criteria andMerPublicKeyBetween(String value1, String value2) {
            addCriterion("mer_public_key between", value1, value2, "merPublicKey");
            return (Criteria) this;
        }

        public Criteria andMerPublicKeyNotBetween(String value1, String value2) {
            addCriterion("mer_public_key not between", value1, value2, "merPublicKey");
            return (Criteria) this;
        }

        public Criteria andPlatformOperatorIdIsNull() {
            addCriterion("platform_operator_id is null");
            return (Criteria) this;
        }

        public Criteria andPlatformOperatorIdIsNotNull() {
            addCriterion("platform_operator_id is not null");
            return (Criteria) this;
        }

        public Criteria andPlatformOperatorIdEqualTo(String value) {
            addCriterion("platform_operator_id =", value, "platformOperatorId");
            return (Criteria) this;
        }

        public Criteria andPlatformOperatorIdNotEqualTo(String value) {
            addCriterion("platform_operator_id <>", value, "platformOperatorId");
            return (Criteria) this;
        }

        public Criteria andPlatformOperatorIdGreaterThan(String value) {
            addCriterion("platform_operator_id >", value, "platformOperatorId");
            return (Criteria) this;
        }

        public Criteria andPlatformOperatorIdGreaterThanOrEqualTo(String value) {
            addCriterion("platform_operator_id >=", value, "platformOperatorId");
            return (Criteria) this;
        }

        public Criteria andPlatformOperatorIdLessThan(String value) {
            addCriterion("platform_operator_id <", value, "platformOperatorId");
            return (Criteria) this;
        }

        public Criteria andPlatformOperatorIdLessThanOrEqualTo(String value) {
            addCriterion("platform_operator_id <=", value, "platformOperatorId");
            return (Criteria) this;
        }

        public Criteria andPlatformOperatorIdLike(String value) {
            addCriterion("platform_operator_id like", value, "platformOperatorId");
            return (Criteria) this;
        }

        public Criteria andPlatformOperatorIdNotLike(String value) {
            addCriterion("platform_operator_id not like", value, "platformOperatorId");
            return (Criteria) this;
        }

        public Criteria andPlatformOperatorIdIn(List<String> values) {
            addCriterion("platform_operator_id in", values, "platformOperatorId");
            return (Criteria) this;
        }

        public Criteria andPlatformOperatorIdNotIn(List<String> values) {
            addCriterion("platform_operator_id not in", values, "platformOperatorId");
            return (Criteria) this;
        }

        public Criteria andPlatformOperatorIdBetween(String value1, String value2) {
            addCriterion("platform_operator_id between", value1, value2, "platformOperatorId");
            return (Criteria) this;
        }

        public Criteria andPlatformOperatorIdNotBetween(String value1, String value2) {
            addCriterion("platform_operator_id not between", value1, value2, "platformOperatorId");
            return (Criteria) this;
        }

        public Criteria andPlatformOperatorPwdIsNull() {
            addCriterion("platform_operator_pwd is null");
            return (Criteria) this;
        }

        public Criteria andPlatformOperatorPwdIsNotNull() {
            addCriterion("platform_operator_pwd is not null");
            return (Criteria) this;
        }

        public Criteria andPlatformOperatorPwdEqualTo(String value) {
            addCriterion("platform_operator_pwd =", value, "platformOperatorPwd");
            return (Criteria) this;
        }

        public Criteria andPlatformOperatorPwdNotEqualTo(String value) {
            addCriterion("platform_operator_pwd <>", value, "platformOperatorPwd");
            return (Criteria) this;
        }

        public Criteria andPlatformOperatorPwdGreaterThan(String value) {
            addCriterion("platform_operator_pwd >", value, "platformOperatorPwd");
            return (Criteria) this;
        }

        public Criteria andPlatformOperatorPwdGreaterThanOrEqualTo(String value) {
            addCriterion("platform_operator_pwd >=", value, "platformOperatorPwd");
            return (Criteria) this;
        }

        public Criteria andPlatformOperatorPwdLessThan(String value) {
            addCriterion("platform_operator_pwd <", value, "platformOperatorPwd");
            return (Criteria) this;
        }

        public Criteria andPlatformOperatorPwdLessThanOrEqualTo(String value) {
            addCriterion("platform_operator_pwd <=", value, "platformOperatorPwd");
            return (Criteria) this;
        }

        public Criteria andPlatformOperatorPwdLike(String value) {
            addCriterion("platform_operator_pwd like", value, "platformOperatorPwd");
            return (Criteria) this;
        }

        public Criteria andPlatformOperatorPwdNotLike(String value) {
            addCriterion("platform_operator_pwd not like", value, "platformOperatorPwd");
            return (Criteria) this;
        }

        public Criteria andPlatformOperatorPwdIn(List<String> values) {
            addCriterion("platform_operator_pwd in", values, "platformOperatorPwd");
            return (Criteria) this;
        }

        public Criteria andPlatformOperatorPwdNotIn(List<String> values) {
            addCriterion("platform_operator_pwd not in", values, "platformOperatorPwd");
            return (Criteria) this;
        }

        public Criteria andPlatformOperatorPwdBetween(String value1, String value2) {
            addCriterion("platform_operator_pwd between", value1, value2, "platformOperatorPwd");
            return (Criteria) this;
        }

        public Criteria andPlatformOperatorPwdNotBetween(String value1, String value2) {
            addCriterion("platform_operator_pwd not between", value1, value2, "platformOperatorPwd");
            return (Criteria) this;
        }

        public Criteria andRefundCertUrlIsNull() {
            addCriterion("refund_cert_url is null");
            return (Criteria) this;
        }

        public Criteria andRefundCertUrlIsNotNull() {
            addCriterion("refund_cert_url is not null");
            return (Criteria) this;
        }

        public Criteria andRefundCertUrlEqualTo(String value) {
            addCriterion("refund_cert_url =", value, "refundCertUrl");
            return (Criteria) this;
        }

        public Criteria andRefundCertUrlNotEqualTo(String value) {
            addCriterion("refund_cert_url <>", value, "refundCertUrl");
            return (Criteria) this;
        }

        public Criteria andRefundCertUrlGreaterThan(String value) {
            addCriterion("refund_cert_url >", value, "refundCertUrl");
            return (Criteria) this;
        }

        public Criteria andRefundCertUrlGreaterThanOrEqualTo(String value) {
            addCriterion("refund_cert_url >=", value, "refundCertUrl");
            return (Criteria) this;
        }

        public Criteria andRefundCertUrlLessThan(String value) {
            addCriterion("refund_cert_url <", value, "refundCertUrl");
            return (Criteria) this;
        }

        public Criteria andRefundCertUrlLessThanOrEqualTo(String value) {
            addCriterion("refund_cert_url <=", value, "refundCertUrl");
            return (Criteria) this;
        }

        public Criteria andRefundCertUrlLike(String value) {
            addCriterion("refund_cert_url like", value, "refundCertUrl");
            return (Criteria) this;
        }

        public Criteria andRefundCertUrlNotLike(String value) {
            addCriterion("refund_cert_url not like", value, "refundCertUrl");
            return (Criteria) this;
        }

        public Criteria andRefundCertUrlIn(List<String> values) {
            addCriterion("refund_cert_url in", values, "refundCertUrl");
            return (Criteria) this;
        }

        public Criteria andRefundCertUrlNotIn(List<String> values) {
            addCriterion("refund_cert_url not in", values, "refundCertUrl");
            return (Criteria) this;
        }

        public Criteria andRefundCertUrlBetween(String value1, String value2) {
            addCriterion("refund_cert_url between", value1, value2, "refundCertUrl");
            return (Criteria) this;
        }

        public Criteria andRefundCertUrlNotBetween(String value1, String value2) {
            addCriterion("refund_cert_url not between", value1, value2, "refundCertUrl");
            return (Criteria) this;
        }

        public Criteria andRefundCertPwdIsNull() {
            addCriterion("refund_cert_pwd is null");
            return (Criteria) this;
        }

        public Criteria andRefundCertPwdIsNotNull() {
            addCriterion("refund_cert_pwd is not null");
            return (Criteria) this;
        }

        public Criteria andRefundCertPwdEqualTo(String value) {
            addCriterion("refund_cert_pwd =", value, "refundCertPwd");
            return (Criteria) this;
        }

        public Criteria andRefundCertPwdNotEqualTo(String value) {
            addCriterion("refund_cert_pwd <>", value, "refundCertPwd");
            return (Criteria) this;
        }

        public Criteria andRefundCertPwdGreaterThan(String value) {
            addCriterion("refund_cert_pwd >", value, "refundCertPwd");
            return (Criteria) this;
        }

        public Criteria andRefundCertPwdGreaterThanOrEqualTo(String value) {
            addCriterion("refund_cert_pwd >=", value, "refundCertPwd");
            return (Criteria) this;
        }

        public Criteria andRefundCertPwdLessThan(String value) {
            addCriterion("refund_cert_pwd <", value, "refundCertPwd");
            return (Criteria) this;
        }

        public Criteria andRefundCertPwdLessThanOrEqualTo(String value) {
            addCriterion("refund_cert_pwd <=", value, "refundCertPwd");
            return (Criteria) this;
        }

        public Criteria andRefundCertPwdLike(String value) {
            addCriterion("refund_cert_pwd like", value, "refundCertPwd");
            return (Criteria) this;
        }

        public Criteria andRefundCertPwdNotLike(String value) {
            addCriterion("refund_cert_pwd not like", value, "refundCertPwd");
            return (Criteria) this;
        }

        public Criteria andRefundCertPwdIn(List<String> values) {
            addCriterion("refund_cert_pwd in", values, "refundCertPwd");
            return (Criteria) this;
        }

        public Criteria andRefundCertPwdNotIn(List<String> values) {
            addCriterion("refund_cert_pwd not in", values, "refundCertPwd");
            return (Criteria) this;
        }

        public Criteria andRefundCertPwdBetween(String value1, String value2) {
            addCriterion("refund_cert_pwd between", value1, value2, "refundCertPwd");
            return (Criteria) this;
        }

        public Criteria andRefundCertPwdNotBetween(String value1, String value2) {
            addCriterion("refund_cert_pwd not between", value1, value2, "refundCertPwd");
            return (Criteria) this;
        }

        public Criteria andStatusIsNull() {
            addCriterion("`status` is null");
            return (Criteria) this;
        }

        public Criteria andStatusIsNotNull() {
            addCriterion("`status` is not null");
            return (Criteria) this;
        }

        public Criteria andStatusEqualTo(Integer value) {
            addCriterion("`status` =", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotEqualTo(Integer value) {
            addCriterion("`status` <>", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusGreaterThan(Integer value) {
            addCriterion("`status` >", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusGreaterThanOrEqualTo(Integer value) {
            addCriterion("`status` >=", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusLessThan(Integer value) {
            addCriterion("`status` <", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusLessThanOrEqualTo(Integer value) {
            addCriterion("`status` <=", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusIn(List<Integer> values) {
            addCriterion("`status` in", values, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotIn(List<Integer> values) {
            addCriterion("`status` not in", values, "status");
            return (Criteria) this;
        }

        public Criteria andStatusBetween(Integer value1, Integer value2) {
            addCriterion("`status` between", value1, value2, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotBetween(Integer value1, Integer value2) {
            addCriterion("`status` not between", value1, value2, "status");
            return (Criteria) this;
        }

        public Criteria andSuggestionRejectIsNull() {
            addCriterion("suggestion_reject is null");
            return (Criteria) this;
        }

        public Criteria andSuggestionRejectIsNotNull() {
            addCriterion("suggestion_reject is not null");
            return (Criteria) this;
        }

        public Criteria andSuggestionRejectEqualTo(String value) {
            addCriterion("suggestion_reject =", value, "suggestionReject");
            return (Criteria) this;
        }

        public Criteria andSuggestionRejectNotEqualTo(String value) {
            addCriterion("suggestion_reject <>", value, "suggestionReject");
            return (Criteria) this;
        }

        public Criteria andSuggestionRejectGreaterThan(String value) {
            addCriterion("suggestion_reject >", value, "suggestionReject");
            return (Criteria) this;
        }

        public Criteria andSuggestionRejectGreaterThanOrEqualTo(String value) {
            addCriterion("suggestion_reject >=", value, "suggestionReject");
            return (Criteria) this;
        }

        public Criteria andSuggestionRejectLessThan(String value) {
            addCriterion("suggestion_reject <", value, "suggestionReject");
            return (Criteria) this;
        }

        public Criteria andSuggestionRejectLessThanOrEqualTo(String value) {
            addCriterion("suggestion_reject <=", value, "suggestionReject");
            return (Criteria) this;
        }

        public Criteria andSuggestionRejectLike(String value) {
            addCriterion("suggestion_reject like", value, "suggestionReject");
            return (Criteria) this;
        }

        public Criteria andSuggestionRejectNotLike(String value) {
            addCriterion("suggestion_reject not like", value, "suggestionReject");
            return (Criteria) this;
        }

        public Criteria andSuggestionRejectIn(List<String> values) {
            addCriterion("suggestion_reject in", values, "suggestionReject");
            return (Criteria) this;
        }

        public Criteria andSuggestionRejectNotIn(List<String> values) {
            addCriterion("suggestion_reject not in", values, "suggestionReject");
            return (Criteria) this;
        }

        public Criteria andSuggestionRejectBetween(String value1, String value2) {
            addCriterion("suggestion_reject between", value1, value2, "suggestionReject");
            return (Criteria) this;
        }

        public Criteria andSuggestionRejectNotBetween(String value1, String value2) {
            addCriterion("suggestion_reject not between", value1, value2, "suggestionReject");
            return (Criteria) this;
        }

        public Criteria andCurrentPlatformIsNull() {
            addCriterion("current_platform is null");
            return (Criteria) this;
        }

        public Criteria andCurrentPlatformIsNotNull() {
            addCriterion("current_platform is not null");
            return (Criteria) this;
        }

        public Criteria andCurrentPlatformEqualTo(Boolean value) {
            addCriterion("current_platform =", value, "currentPlatform");
            return (Criteria) this;
        }

        public Criteria andCurrentPlatformNotEqualTo(Boolean value) {
            addCriterion("current_platform <>", value, "currentPlatform");
            return (Criteria) this;
        }

        public Criteria andCurrentPlatformGreaterThan(Boolean value) {
            addCriterion("current_platform >", value, "currentPlatform");
            return (Criteria) this;
        }

        public Criteria andCurrentPlatformGreaterThanOrEqualTo(Boolean value) {
            addCriterion("current_platform >=", value, "currentPlatform");
            return (Criteria) this;
        }

        public Criteria andCurrentPlatformLessThan(Boolean value) {
            addCriterion("current_platform <", value, "currentPlatform");
            return (Criteria) this;
        }

        public Criteria andCurrentPlatformLessThanOrEqualTo(Boolean value) {
            addCriterion("current_platform <=", value, "currentPlatform");
            return (Criteria) this;
        }

        public Criteria andCurrentPlatformIn(List<Boolean> values) {
            addCriterion("current_platform in", values, "currentPlatform");
            return (Criteria) this;
        }

        public Criteria andCurrentPlatformNotIn(List<Boolean> values) {
            addCriterion("current_platform not in", values, "currentPlatform");
            return (Criteria) this;
        }

        public Criteria andCurrentPlatformBetween(Boolean value1, Boolean value2) {
            addCriterion("current_platform between", value1, value2, "currentPlatform");
            return (Criteria) this;
        }

        public Criteria andCurrentPlatformNotBetween(Boolean value1, Boolean value2) {
            addCriterion("current_platform not between", value1, value2, "currentPlatform");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNull() {
            addCriterion("create_time is null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNotNull() {
            addCriterion("create_time is not null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeEqualTo(Date value) {
            addCriterion("create_time =", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotEqualTo(Date value) {
            addCriterion("create_time <>", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThan(Date value) {
            addCriterion("create_time >", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("create_time >=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThan(Date value) {
            addCriterion("create_time <", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThanOrEqualTo(Date value) {
            addCriterion("create_time <=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIn(List<Date> values) {
            addCriterion("create_time in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotIn(List<Date> values) {
            addCriterion("create_time not in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeBetween(Date value1, Date value2) {
            addCriterion("create_time between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotBetween(Date value1, Date value2) {
            addCriterion("create_time not between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIsNull() {
            addCriterion("update_time is null");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIsNotNull() {
            addCriterion("update_time is not null");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeEqualTo(Date value) {
            addCriterion("update_time =", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotEqualTo(Date value) {
            addCriterion("update_time <>", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeGreaterThan(Date value) {
            addCriterion("update_time >", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("update_time >=", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeLessThan(Date value) {
            addCriterion("update_time <", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeLessThanOrEqualTo(Date value) {
            addCriterion("update_time <=", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIn(List<Date> values) {
            addCriterion("update_time in", values, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotIn(List<Date> values) {
            addCriterion("update_time not in", values, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeBetween(Date value1, Date value2) {
            addCriterion("update_time between", value1, value2, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotBetween(Date value1, Date value2) {
            addCriterion("update_time not between", value1, value2, "updateTime");
            return (Criteria) this;
        }

        public Criteria andExt1IsNull() {
            addCriterion("ext_1 is null");
            return (Criteria) this;
        }

        public Criteria andExt1IsNotNull() {
            addCriterion("ext_1 is not null");
            return (Criteria) this;
        }

        public Criteria andExt1EqualTo(String value) {
            addCriterion("ext_1 =", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1NotEqualTo(String value) {
            addCriterion("ext_1 <>", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1GreaterThan(String value) {
            addCriterion("ext_1 >", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1GreaterThanOrEqualTo(String value) {
            addCriterion("ext_1 >=", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1LessThan(String value) {
            addCriterion("ext_1 <", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1LessThanOrEqualTo(String value) {
            addCriterion("ext_1 <=", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1Like(String value) {
            addCriterion("ext_1 like", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1NotLike(String value) {
            addCriterion("ext_1 not like", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1In(List<String> values) {
            addCriterion("ext_1 in", values, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1NotIn(List<String> values) {
            addCriterion("ext_1 not in", values, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1Between(String value1, String value2) {
            addCriterion("ext_1 between", value1, value2, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1NotBetween(String value1, String value2) {
            addCriterion("ext_1 not between", value1, value2, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt2IsNull() {
            addCriterion("ext_2 is null");
            return (Criteria) this;
        }

        public Criteria andExt2IsNotNull() {
            addCriterion("ext_2 is not null");
            return (Criteria) this;
        }

        public Criteria andExt2EqualTo(String value) {
            addCriterion("ext_2 =", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2NotEqualTo(String value) {
            addCriterion("ext_2 <>", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2GreaterThan(String value) {
            addCriterion("ext_2 >", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2GreaterThanOrEqualTo(String value) {
            addCriterion("ext_2 >=", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2LessThan(String value) {
            addCriterion("ext_2 <", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2LessThanOrEqualTo(String value) {
            addCriterion("ext_2 <=", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2Like(String value) {
            addCriterion("ext_2 like", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2NotLike(String value) {
            addCriterion("ext_2 not like", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2In(List<String> values) {
            addCriterion("ext_2 in", values, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2NotIn(List<String> values) {
            addCriterion("ext_2 not in", values, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2Between(String value1, String value2) {
            addCriterion("ext_2 between", value1, value2, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2NotBetween(String value1, String value2) {
            addCriterion("ext_2 not between", value1, value2, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt3IsNull() {
            addCriterion("ext_3 is null");
            return (Criteria) this;
        }

        public Criteria andExt3IsNotNull() {
            addCriterion("ext_3 is not null");
            return (Criteria) this;
        }

        public Criteria andExt3EqualTo(String value) {
            addCriterion("ext_3 =", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3NotEqualTo(String value) {
            addCriterion("ext_3 <>", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3GreaterThan(String value) {
            addCriterion("ext_3 >", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3GreaterThanOrEqualTo(String value) {
            addCriterion("ext_3 >=", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3LessThan(String value) {
            addCriterion("ext_3 <", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3LessThanOrEqualTo(String value) {
            addCriterion("ext_3 <=", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3Like(String value) {
            addCriterion("ext_3 like", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3NotLike(String value) {
            addCriterion("ext_3 not like", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3In(List<String> values) {
            addCriterion("ext_3 in", values, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3NotIn(List<String> values) {
            addCriterion("ext_3 not in", values, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3Between(String value1, String value2) {
            addCriterion("ext_3 between", value1, value2, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3NotBetween(String value1, String value2) {
            addCriterion("ext_3 not between", value1, value2, "ext3");
            return (Criteria) this;
        }
    }

    /**
     */
    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}